Bug 230034 - multimedia/ffmpeg: please ENABLE lame support as its in packages now
Summary: multimedia/ffmpeg: please ENABLE lame support as its in packages now
Status: Closed Not Accepted
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-multimedia mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-25 09:29 UTC by vermaden
Modified: 2018-08-07 06:39 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (multimedia)
jbeich: maintainer-feedback? (netchild)
jbeich: maintainer-feedback? (amdmi3)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vermaden 2018-07-25 09:29:11 UTC
As in title.
Comment 1 Jan Beich freebsd_committer 2018-07-25 11:38:52 UTC
lame package is available after ports r473871 despite RESTRICTED as LICENSE overrides clean-restricted target. This is probably unintentional.
Comment 2 Alexander Leidinger freebsd_committer 2018-07-27 18:24:31 UTC
The distribution of audio/lame packages was unintentional. Fixed with a recent commit to audio/lame. As such we have to reject this request.
Comment 3 vermaden 2018-08-07 04:51:53 UTC
As LAME will FINALLY and OFFICIALLY [1] be available in packages, please turn it on by default in FFMPEG port/package.

[1] https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228441

Regards,
vermaden
Comment 4 Alexander Leidinger freebsd_committer 2018-08-07 06:39:38 UTC
losed again. THere is currently no change in policy. The audio/lame port is still marked as "no package distribution". No matter what other projects claim, for us (speaking as the maintainer of the FreeBSD port and one of the project admins of the LAME project itself) it is not clear if binary packages can be distributed, and as such we don't.

Note: The open legal questions are not something to take lightly. Portmgr and core are aware of this situation. We will not rush into something here what we may regret later.